Skip to content

Beneficiary

This resource represents a payee of a payout initiated by your business. The beneficiary can be an individual or a business to whom you will send funds.

List all Beneficiaries

Request

Returns a list of your beneficiaries. The beneficiaries are returned sorted by creation date, with the most recent beneficiary appearing first.

Security
JWT
Query
beneficiary_typestring

Type of beneficiary to filter

Enum:"individual""business"
countrystring, (iso-3166-1-alpha-3, case-insensitive)

The ISO 3166-1 alpha-3 code of the country to filter validations

Example:country=IND
beforestring, (timestamp)

ISO-8601 timestamp in UTC to filter resources created before this time. Use this to avoid Page drift issue. See Pagination parameters for more details.

Example:before=2025-02-18T12:03:44Z
afterstring, (timestamp)

ISO-8601 timestamp in UTC to filter resources created after this time. Use this to avoid Page drift issue. See Pagination parameters for more details.

Example:after=2025-01-18T12:03:44Z
per_pageinteger

Number of resources per page. Should be between 1 and 100.

Default:20
pageinteger

Page number for pagination. Starts from 1. Get the next page number from the next field in the response.

Default:1
GET
/beneficiaries
curl -i -X GET \
  'https://api.glomopay.com/api/v1/beneficiaries?beneficiary_type=individual&country=IND&before=2025-02-18T12%3A03%3A44Z&after=2025-01-18T12%3A03%3A44Z&per_page=20&page=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of beneficiaries matching the filters

Bodyapplication/json
dataArray of objects(Beneficiary)
page_metaobject(PageMeta)
Response
{ "data": [ {} ], "page_meta": { "current": 2, "previous": 1, "next": 3, "per_page": 20, "pages": 10, "count": 200 } }